# module dir list

add_subdirectory(gfx)
add_subdirectory(sound)

# module libraries

# Keel
add_library(
	NostalgiaKeelModules STATIC
		keelmodules.cpp
)
target_link_libraries(
	NostalgiaKeelModules PUBLIC
		Keel
		NostalgiaGfx-Keel
		NostalgiaSound-Keel
)
install(
	FILES
		keelmodules.hpp
	DESTINATION
		include/nostalgia/modules
)

# Studio
if(NOSTALGIA_BUILD_STUDIO)
	add_library(
		NostalgiaStudioModules STATIC
			studiomodules.cpp
	)
	target_link_libraries(
		NostalgiaStudioModules PUBLIC
			StudioAppLib
			NostalgiaGfx-Studio-ImGui
			NostalgiaSound-Studio-ImGui
	)
	install(
		 FILES
			studiomodules.hpp
		 DESTINATION
			include/nostalgia/modules
	)
endif()

add_library(NostalgiaProfile INTERFACE)
target_compile_definitions(
	NostalgiaProfile INTERFACE
		OLYMPIC_PROJECT_NAME="Nostalgia"
		OLYMPIC_PROJECT_NAMESPACE=nostalgia
		OLYMPIC_PROJECT_DATADIR=".nostalgia"
)
